<ion-content [fullscreen]="true">
  <div id="posicionamento">
    <ion-grid>
      <ion-text>
        <h1>Lista de Compras</h1>
      </ion-text>
      <ion-row>
        <ion-col size="6">
          <ion-item>
            <ion-input placeholder="Produto" [(ngModel)]="texto" (keyup.enter)="adiciona()"></ion-input>
          </ion-item>
        </ion-col>
        <ion-col size="3">
          <ion-item>
            <ion-input placeholder="Valor" [(ngModel)]="preco"></ion-input>
          </ion-item>
        </ion-col>
        <ion-col size="3">
          <ion-button size="small" (click)="adiciona()">
            <ion-icon name="save-outline"></ion-icon>
          </ion-button>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-item *ngFor = "let elemento_da_lista of variavel_lista; index as i">
            <ion-grid>
              <ion-row>
                <ion-col size="5">
                  {{elemento_da_lista[1][0]}}
                </ion-col>
                <ion-col size ="4">
                  {{elemento_da_lista[1][1]}}
                </ion-col>
                <ion-col size="3">
                  <ion-button color="danger" size="small" (click)="remove(elemento_da_lista[0][0])">
                    <ion-icon name="trash-outline"></ion-icon>
                  </ion-button>
                </ion-col>
              </ion-row>
            </ion-grid>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-col>
        <ion-item>
          {{total}}
        </ion-item>
      </ion-col>
    </ion-grid>
  </div>


</ion-content>
<footer>
<ion-toolbar>
  <ion-segment value="all">
    <ion-segment-button value="all">
      All
    </ion-segment-button>
    <ion-segment-button  click="favorite">
      Favorites
    </ion-segment-button>
  </ion-segment>
</ion-toolbar>
</footer>
